%define enable_gnometris 1

%define gamesdir	%{_localstatedir}/games

Summary:	GNOME games
Name:		gnome-games
Version: 2.8.3
Release: 2mdk
License:	GPL
Group:		Games/Other

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-games/gnome-games-%{version}.tar.bz2
Source6:	%{name}-icons16.tar.bz2
Source7:	%{name}-icons32.tar.bz2
Source8:	%{name}-icons48.tar.bz2
BuildRequires:	gettext
BuildRequires:	guile-devel
BuildRequires:	libgnomeui2-devel >= 2.0.0
Buildrequires:  libglade2.0-devel
BuildRequires:  gtk+2-devel
BuildRequires:	scrollkeeper
Buildrequires:  librsvg-devel
Buildrequires:  perl-XML-Parser

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.gnome.org/
Requires:	guile
PreReq:		scrollkeeper >= 0.3
PreReq:		rpm-helper
Requires:	librsvg

%description
The gnome-games package includes games for the GNOME GUI desktop environment.
They include:

AisleRiot       A compilation of seventy different solitaire card games.
Ataxx           Disk-flipping game where players try and control most disks.
Blackjack       The famous casino card game without any need to pay.
Four-in-a-row   Players tries to make a line of four disks. (Connect Four)
Gnometris       Tetris clone.
Iagno           GNOME version of the popular Othello (R) chess.
Klotski         A series of sliding block puzzles.
Lines           Move balls around the grid to form lines of the same colour
                to make them disappear, while more balls keep dropping in.
Mahjongg        Remove tiles in matching pairs from a pile to dismantle it.
Mines           The popular logic puzzle minesweeper.
Nibbles         Pilot a worm around a maze trying to collect diamonds.
Robots          Classic BSD robots game, avoiding robots approaching you.
Same GNOME      In a grid of stones of different colors, try remove stones
                where two or more of the same colour touch each other.
Stones          Mine through dirt and collect gems: but don't get
                squashed by the boulders. Also has a Sokoban mode.
Tali            Poker-like dice game without money, similar to Yahtzee.
Tetravex        A puzzle where you match tiles edges together.


%prep
%setup -q

%build
%configure2_5x --enable-compile-warnings=no
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%if !%enable_gnometris
rm -rf  $RPM_BUILD_ROOT%{_datadir}/applications/gnometris.desktop \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-gtetris.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnometris \
  $RPM_BUILD_ROOT%{gamesdir}/gnometris.scores
%endif

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="GNOME Mines" longtitle="Mines game" command="%{_bindir}/gnomine" icon="gnome-gnomine.png" needs="x11" section="Amusement/Puzzles" startup_notify="true"
?package(%{name}): title="Same GNOME" longtitle="GNOME SameGame" command="%{_bindir}/same-gnome" icon="gnome-gsame.png" needs="x11" section="Amusement/Other" startup_notify="true"
?package(%{name}): title="GNOME Mahjongg" longtitle="Mahjongg game" command="%{_bindir}/mahjongg" icon="gnome-mahjongg.png" kde_info="GNOME Mahjongg game" needs="x11" section="Amusement/Puzzles" startup_notify="true"
?package(%{name}): title="GTali" longtitle="Poker-like dice game" command="%{_bindir}/gtali" icon="gnome-gtali.png" needs="x11" section="Amusement/Other" start_notify="true"
?package(gnome-games): title="GNOME Robots" longtitle="GNOME Robots game" command="%{_bindir}/gnobots2" icon="gnome-gnobots.png" needs="x11" section="Amusement/Arcade" startup_notify="true"
?package(%{name}): icon="iagno.png" title="Iagno" longtitle="Reversi chess" command="%{_bindir}/iagno" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="GNOME Tetravex" longtitle="Tetravex puzzle" command="%{_bindir}/gnotravex" icon="gnome-gnotravex.png" needs="x11" section="Amusement/Puzzles" startup_notify="true"
?package(%{name}): title="GNOME Stones" longtitle="GNOME Stones game" command="%{_bindir}/gnome-stones" icon="gnome-stones.png" needs="x11" section="Amusement/Arcade" startup_notify="true"
?package(%{name}): title="AisleRiot" longtitle="Card-based Solitaire suite" command="%{_bindir}/sol" icon="gnome-aisleriot.png" needs="x11" section="Amusement/Cards" startup_notify="true"
?package(%{name}): title="Glines" longtitle="Color lines chess" command="%{_bindir}/glines" icon="glines.png" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(gnome-games): title="Gnibbles" longtitle="Nibbles Game" command="%{_bindir}/gnibbles" icon="gnome-nibbles.png" needs="x11" icon="gnome-nibbles.png" section="Amusement/Arcade" startup_notify="true"
?package(%{name}): title="Gnect" longtitle="Four-in-a-row chess" command="%{_bindir}/gnect" needs="x11" section="Amusement/Boards" icon="gnect-icon.png" startup_notify="true"
?package(%{name}): title="Gataxx" longtitle="Ataxx chess" icon="gataxx.png" command="%{_bindir}/gataxx" needs="x11" section="Amusement/Boards" startup_notify="true"
?package(%{name}): title="Gnotski" longtitle="Klotski game" command="%{_bindir}/gnotski" icon="gnotski-icon.png" needs="x11" section="Amusement/Puzzles" startup_notify="true"
?package(%{name}): title="Gnometris" longtitle="Tetris game" command="%{_bindir}/gnometris" icon="gnome-gtetris.png" needs="x11" section="Amusement/Arcade" startup_notify="true"
?package(%{name}): title="Blackjack" longtitle="Blackjack" command="%{_bindir}/blackjack" icon="gnome-blackjack.png" needs="x11" section="Amusement/Cards" startup_notify="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir}

bzcat %{SOURCE6} | tar xf - -C $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE7} | tar xf - -C $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE8} | tar xf - -C $RPM_BUILD_ROOT%{_liconsdir}

%{find_lang} %{name} --with-gnome --all-name
for omf in $(ls %buildroot%_datadir/omf/%name/*.omf|fgrep -v -- -C.omf);do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-stones/objects/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
for SCHEMA in aisleriot blackjack gataxx glines gnect gnibbles gnobots2 gnome-stones gnomine gnometris gnotravex gtali iagno mahjongg same-gnome ; do 
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
## menu
%{update_menus}

%preun
if [ "$1" = "0" ]; then 
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
 for SCHEMA in aisleriot blackjack gataxx glines gnect gnibbles gnobots2 gnome-stones gnometris gnomine gnotravex gtali iagno mahjongg same-gnome ; do 
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
 done
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
## menu
%{clean_menus}

%pre
[ -d %{gamesdir} ] || mkdir -p %{gamesdir}
for i in \
	glines \
	gnibbles.1.0 \
	gnibbles.1.1 \
	gnibbles.2.0 \
	gnibbles.2.1 \
	gnibbles.3.0 \
	gnibbles.3.1 \
	gnibbles.4.0 \
	gnibbles.4.1 \
	gnobots2.classic_robots-safe \
	gnobots2.classic_robots \
	gnobots2.classic_robots-super-safe \
	gnobots2.nightmare-safe \
	gnobots2.nightmare \
	gnobots2.nightmare-super-safe \
	gnobots2.robots2_easy-safe \
	gnobots2.robots2_easy \
	gnobots2.robots2_easy-super-safe \
	gnobots2.robots2-safe \
	gnobots2.robots2 \
	gnobots2.robots2-super-safe \
	gnobots2.robots_with_safe_teleport-safe \
	gnobots2.robots_with_safe_teleport \
	gnobots2.robots_with_safe_teleport-super-safe \
	gnome-stones \
	gnometris \
	gnomine.Custom \
	gnomine.Large \
	gnomine.Medium \
	gnomine.Small \
	gnotravex.2x2 \
	gnotravex.3x3 \
	gnotravex.4x4 \
	gnotravex.5x5 \
	gnotravex.6x6 \
	gnotski.11 \
	gnotski.12 \
	gnotski.13 \
	gnotski.14 \
	gnotski.15 \
	gnotski.16 \
	gnotski.17 \
	gnotski.1 \
	gnotski.21 \
	gnotski.22 \
	gnotski.23 \
	gnotski.24 \
	gnotski.25 \
	gnotski.26 \
	gnotski.2 \
	gnotski.3 \
	gnotski.4 \
	gnotski.5 \
	gnotski.6 \
	gnotski.7 \
	gtali \
	mahjongg.bridges \
	mahjongg.cloud \
	mahjongg.confounding \
	mahjongg.difficult \
	mahjongg.dragon \
	mahjongg.easy \
	mahjongg.pyramid \
	mahjongg.tictactoe \
	mahjongg.ziggurat \
	same-gnome \
; do
	%create_ghostfile %{gamesdir}/$i.scores games games 0664
	if [ -f "%{gamesdir}/$i.scores" -a ! -s "%{gamesdir}/$i.scores" ]; then
	echo "0.000000 `date +%s` gnome" >> %{gamesdir}/$i.scores
	fi
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS TODO
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/sol
%{_bindir}/gataxx
%{_bindir}/gnect
%{_bindir}/blackjack

# these are setgid games so they can write in score files
%defattr(2555, root, games)
%if %enable_gnometris
%{_bindir}/gnometris
%endif
%{_bindir}/glines
%{_bindir}/gnibbles
%{_bindir}/gnobots2
%{_bindir}/gnome-stones
%{_bindir}/gnomine
%{_bindir}/gnotravex
%{_bindir}/gnotski
%{_bindir}/gtali
%{_bindir}/iagno
%{_bindir}/mahjongg
%{_bindir}/same-gnome

%defattr(-, root, root)
%{_datadir}/applications/*
%{_datadir}/blackjack
%{_datadir}/gnect
%{_datadir}/gnome-stones*
%{_datadir}/gnibbles
%{_datadir}/gnobots2
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_datadir}/sol-games
%{_datadir}/sounds/*
%{_datadir}/mime-info/*
%{_libdir}/gnome-stones
%attr(664, games, games) %ghost %{gamesdir}/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/*-C.omf

%changelog
* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Requires svg gdk-pixbuf loader (Mdk bug #14373)

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk 
- Rebuild with latest howl

* Thu Dec  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-2mdk
- score files (Abel Cheung)

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- fix omf listing
- drop library package
- New release 2.8.1

* Tue Nov  2 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.2-4mdk
- 64-bit fixes

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk
- Patch0 : fix typo in pa.po, causing gconf warning

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-2mdk
- Rebuild with new menu

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 2.6.1-4mdk
- Rebuild

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0.1 (with Gtz help)
- remove patch0 (merged upstream)

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-2mdk
- fix buildrequires

* Tue Jan 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1.1-1mdk
- don't libtoolize
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 2.3.90-2mdk
- Adjust menu sections for various games
- Strip redundant BuildRequires
- Remove source1 (avoid distributing old schemas files)
- Making more games setgid
- Better descriptions from README
- Patch0: fix intltool so that it can generate correct gtali.schemas
- Add score files

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.90-1mdk
- Release 2.3.90

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-1mdk
- Release 2.3.8

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.7-1mdk
- Release 2.3.7

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.4-1mdk
- Release 2.3.4
- Patch0: fix gataxx schema

* Thu Jun  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1
- Fix BuildRequires

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Remove patch0 (merged upstream)

* Tue Apr  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-3mdk
- Rebuilt against latest guile

* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Patch0 (CVS) :fix gnect schema (Mdk bug #1042)

* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-3mdk
- Recompiled against latest openssl

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Don't ship gnome-xbill help file if xbill isn't build

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- add source1 : missing schemas.in files for correct build

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-1mdk
- Release 2.0.4

* Sat Aug 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-2mdk
- Rebuild with gcc 3.2-0.3mdk

* Tue Aug 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.1.1-3mdk
- BuildRequires

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-2mdk
- Fix icons
- Rebuild with gcc 3.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1.1-1mdk
- Release 2.0.1.1
- Png icons

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.94.0-1mdk
- Release 1.94.0

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.92.0-1mdk
- Release 1.92.0

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.91.0-1mdk
- Release 1.91.0

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-2mdk
- Clean specfile, thanks to Abel Cheung
 - Add gnometris
 - Fix %pre 
 - Fix group of glines

* Thu Apr 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.90.2-1mdk
- Release 1.90.2 (GNOME 2)
- Remove patch0 (no longer needed)

* Fri Feb 22 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.0.3-6mdk
- integrated basque (and others) translation

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.3-5mdk
- BuildRequires

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.3-4mdk
- Fix menu with png icon

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.0.3-3mdk
- Use standard icon in menu (when missing)
- Fix build

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.3-2mdk
- BuildRequires: gdk-pixbuf-devel
- Removed redundant BuildRequires

* Thu Jul 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.3-1mdk
- Release 1.4.0.3

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.0.2-2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	ORBit-devel
- Removed BuildRequires:	XFree86-devel

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.2-1mdk
- Release 1.4.0.2

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0.1-1mdk
- Release 1.4.0.1
- Regenerate patch 0

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- Regenerate patch 1 and rename it patch 0
- Add omf files

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.90-1mdk
- Release 1.3.90
- Remove patch 0 (merged upstream)

* Tue Oct 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-10mdk
- No longer provide gnome-xbill (doesn't work with last popt/glibc)
- Add dependency on guile

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-9mdk
- Correct bug 228 : gturing not exiting when using WM exit button

* Tue Oct  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-8mdk
- Rebuild with correct large icons

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-7mdk
- Add missing icons
- Use more macros

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-6mdk
- /var/state -> /var/lib (FHS 2.1)
- use find_lang macro

* Wed Aug 16 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-5mdk
- Fix menu entry
- Human readable Description

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-4mdk
- automatically added BuildRequires

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk
- BM + macroszification
- menu entry is embedded in spec file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-2mdk
- automatically added BuildRequires

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.51-9mdk
- BuildRequires: guile-devel.

* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.51-8mdk
- fixed many ugly/not-working/parties-en-live icons: gnome-xbill,
  gnomine, iagno, gataxx
- added 16x16 icons

* Tue Apr 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.51-7mdk
- added menu entries
- fixed copyright

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-6mdk
- some minor fixes
- cleanup spec
- setgid to 02555
- add ldconfig to post and postun sections

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com>
- Group
- Enable all games
- Use Mandrake logo and not RH logo
- Use %%{_tmppath} for BuildRoot

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check macro
- remove patch[01]
- 1.0.51 (sware i did this already so we use release 3mdk, just incase.)

* Tue Aug 31 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild against new libguile version
- got latest translations

* Sun Jul 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added a nice icon
- made %ghost for score files so they aren't lost after upgrades
- cleaned %files

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merging with RedHat :
    - added new sol games and a fix for the old ones.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.

* Mon Mar 29 1999 Michael Fulbright <drmike@redhat.com>
- removed more offending t*tris stuff

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2
- made gnibbles have correct attr since its setgid
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- added score files to file list

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.0.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- removed *tris games

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8
- added sound event lists to file list
- touched up file list some more

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- added gnibbles data to file list

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.7

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.5

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Thu Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.0 in prep for GNOME 1.0

* Sat Nov 21 1998 Michael Fulbright <drmike@redhat.com>
- updated for 0.30 tree

* Fri Nov 20 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- use --localstatedir=/var/lib in config state (score files for games
  for exemple will go there).

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-games CVS source tree
